Subject: [secdir] Secdir last call review of draft-ietf-rtgwg-uloop-delay-06

From: Melinda Shore <[email-masked]>
Date: Wed, 04 Oct 2017 15:08:36 -0700

Reviewer: Melinda Shore
Review result: Has Nits

This document describes a mechanism to mitigate against failures stemming from
the formation of "microloops" during a re-routing convergence, as described in
RFC 5715.  Modulo some mechanical problems with language usage (i.e.
grammatical errors) and some missing definitions, the document clearly
describes the problem it is addressing and the proposed solution.

The security considerations section is very clear about why the authors believe
no new attacks are introduced by this mechanism, and it is credible

Sections 4 and 5 represent the core of the document and are very clear - a very
nice piece of specification.

It would be helpful to have a terminology section, or to expand some of the
acronyms in-line (LFA, for example).

For some reason the grammatical errors are clustered towards the front of the
document but there are many scattered throughout:

Section 1, first paragraph singular/plural mismatch: "Based on network
analysis, local failure make up a significant portion of the micro-forwarding
loops"

Section 1, second paragraph unidiomatic use of "the topology"

Section 2, first paragraph unidiomatic use of "high damages"

Section 2.1, first paragraph needs an article on "IGP shortcut"

Same paragraph, doesn't need an article on "the router C"

Same paragraph, "nexthop" should be two words

Item 1 in 2.1, needs an article before "preprogrammed FRR path", also run-on
sentence needs to be split or a conjunction inserted

Item 3 in 2.1, "no more" should be "no longer", and "encapsulate anymore"
should be "does not continue to encapsulate"

Section 2.1, last paragraph: "The protection enabled by fast-reroute is working
perfectly, but ensures a protection, by definition, only until the PLR has
converged." is somewhat unclear

Section 3, third paragraph: first comma is unnecessary.  Also, "local only"
should be "local-only"

Section 8.2, first paragraph: "associating timing" should be "associated
timing".

Also in section 8.2, the message chart header is separated from the actual
contents by a page break, and that should be remedied

Section 8.3, first paragraph: "that happens" should be "that happen".  Also,
"without further delaying route insertion" would be more idiomatic than
"without delaying route insertion anymore"

Section 9.1, throughout: "nexthop" should be "next hop"

Section 9.1, first bullet item: "only have one" should be "only has one" (or
"has only one")

Section 10: "a good behavior" should be "good behavior"

---

From: <[email-masked]>
Date: Tue, 10 Oct 2017 15:19:40 +0000

Hi,

Thanks for your review.
The v07 I just posted addresses your comments.

Brgds,

-----Original Message-----
From: Melinda Shore [mailto:[email-masked]] 
Sent: Thursday, October 05, 2017 00:09
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Secdir last call review of draft-ietf-rtgwg-uloop-delay-06

Reviewer: Melinda Shore
Review result: Has Nits

This document describes a mechanism to mitigate against failures stemming from the formation of "microloops" during a re-routing convergence, as described in RFC 5715.  Modulo some mechanical problems with language usage (i.e.
grammatical errors) and some missing definitions, the document clearly describes the problem it is addressing and the proposed solution.

The security considerations section is very clear about why the authors believe no new attacks are introduced by this mechanism, and it is credible

Sections 4 and 5 represent the core of the document and are very clear - a very nice piece of specification.

It would be helpful to have a terminology section, or to expand some of the acronyms in-line (LFA, for example).

For some reason the grammatical errors are clustered towards the front of the document but there are many scattered throughout:

Section 1, first paragraph singular/plural mismatch: "Based on network analysis, local failure make up a significant portion of the micro-forwarding loops"

Item 1 in 2.1, needs an article before "preprogrammed FRR path", also run-on sentence needs to be split or a conjunction inserted

Section 2.1, last paragraph: "The protection enabled by fast-reroute is working perfectly, but ensures a protection, by definition, only until the PLR has converged." is somewhat unclear

Section 8.2, first paragraph: "associating timing" should be "associated timing".

Also in section 8.2, the message chart header is separated from the actual contents by a page break, and that should be remedied

Section 8.3, first paragraph: "that happens" should be "that happen".  Also, "without further delaying route insertion" would be more idiomatic than "without delaying route insertion anymore"

Section 9.1, first bullet item: "only have one" should be "only has one" (or "has only one")

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.